export type Guiter = {
  id: string
  attributes: {
    name: string
    description: string
    price: number
    createdAt: number
    maker: Maker
    status: Status
    image: Image
  }
}

export type Maker = {
  data: {
    id: string
    attributes: {
      name: string
    }
  }
}

export type Status = {
  data: {
    id: string
    attributes: {
      name: string
    }
  }
}

export type Image = {
  data: [
    {
      id: string
      attributes: {
        name: string
        url: string
      }
    }
  ]
}

export type GuiterResponse = {
  data: Guiter[]
}
